curl --request PUT \
--url https://api.fpjs.io/events/{request_id} \
--header 'Auth-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"linkedId": "<string>",
"tag": {},
"suspect": true
}
'import requests
url = "https://api.fpjs.io/events/{request_id}"
payload = {
"linkedId": "<string>",
"tag": {},
"suspect": True
}
headers = {
"Auth-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Auth-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({linkedId: '<string>', tag: {}, suspect: true})
};
fetch('https://api.fpjs.io/events/{request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update an event with a given request ID
🚧 Deprecation Notice
This version of the API will soon be deprecated under our API Deprecation Policy. The deprecation period will begin once all proxy and library integrations (both backend and frontend) are released. We will continue to provide full support for 12 months from that effective date. This notice will be updated with the official deprecation date once it is set. If you don’t use libraries or proxy integrations, you can use this migration guide to start the transition to the new API today.
Change information in existing events specified by requestId or flag suspicious events.
When an event is created, it is assigned linkedId and tag submitted through the JS agent parameters. This information might not be available on the client so the Server API allows for updating the attributes after the fact.
Warning It’s not possible to update events older than 10 days.
requestId or flag suspicious events.
When an event is created, it is assigned linkedId and tag submitted through the JavaScript agent parameters. This information might not be available on the client so the Server API allows for updating the attributes after the fact.
Warning It’s not possible to update events older than 10 days.Authorizations
Path Parameters
The unique event identifier.
Body
Response
OK.
Was this page helpful?